#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires configured local MySQL database)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBIx
%define		pnam	TextIndex
Summary:	DBIx::TextIndex - Perl extension for full-text searching in SQL databases
Summary(pl.UTF-8):	DBIx::TextIndex - rozszerzenie do pełnotekstowego przeszukiwania baz SQL
Name:		perl-DBIx-TextIndex
Version:	0.28
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBIx/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1533f1e0c736988b22b29bcd4ba739a8
URL:		http://search.cpan.org/dist/DBIx-TextIndex/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl-Bit-Vector
BuildRequires:	perl-Exception-Class
BuildRequires:	perl-Text-Balanced
BuildRequires:	perl-Text-Unaccent
%endif
Requires:	perl-DBI >= 1.48-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBIx::TextIndex was developed for doing full-text searches on BLOB
columns stored in a database. Almost any database with BLOB and DBI
support should work with minor adjustments to SQL statements in the
module.

%description -l pl.UTF-8
Moduł DBIx::TextIndex służy do przeprowadzania pełnotekstowych
przeszukiwań kolumn BLOB zapisanych w bazie danych. Prawie każda baza
danych z obsługą BLOB i DBI powinna działać po niewielkich poprawkach
wyrażeń SQL w module.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
gzip -9nf eg/README
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/DBIx/TextIndex/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/DBIx/*.pm
%{perl_vendorarch}/DBIx/TextIndex
%dir %{perl_vendorarch}/auto/DBIx/TextIndex
%attr(755,root,root) %{perl_vendorarch}/auto/DBIx/TextIndex/*.so
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBIx-TextIndex.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3dd3bc5
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9e75835
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> dc5383b
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6334848
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e42ed59
- release 2

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 20170e2
- updated to 0.28

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> c074621
- generic URL, cleanup

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0184cce
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 834b7a2
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 0785068
- up to 0.27

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fb0b3b3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ccd5ed1
- converted to UTF-8

* Fri Dec 30 2005 Elan Ruusamäe <glen@pld-linux.org> 0a92eef
- fix missing dirs
- check files cleanup
- rel 2

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 2322b07
- formatting

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> 5238e43
- updated to 0.25

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> ae2c8a4
- spelling fix

* Thu Aug 26 2004 Adam Gołębiowski <adamg@pld-linux.org> 1aa2078
- updated to 0.23

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 1d21115
- updated to 0.22

* Thu May 06 2004 ankry <ankry@pld-linux.org> 8d855bc
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> b63561f
- license fixes and unification

